Bug 807509 - [RFE] Drop -u from .service file
[RFE] Drop -u from .service file
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 22:30 EDT by Ben Boeckel
Modified: 2014-12-10 21:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-10 21:40:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2012-03-27 22:30:22 EDT
Description of problem:
The -u flag is already specified in the wpa_supplicant.conf file; the .service file doesn't need it.
Comment 1 Ben Boeckel 2012-10-27 17:30:08 EDT
Ping?
Comment 2 Fedora End Of Life 2013-04-03 10:23:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Ben Boeckel 2013-06-20 01:56:57 EDT
Ping?
Comment 4 Henrique Martins 2014-01-24 10:05:03 EST
Can we move this to Fedora 20?

Not only is -u duplicated, some other command line arguments are duplicated in
  /usr/lib/systemd/system/wpa_supplicant.service
and
  /etc/sysconfig/wpa_supplicant

The first contains:
  ExecStart=/usr/sbin/wpa_supplicant -u -f /var/log/wpa_supplicant.log -c /etc/wpa_supplicant/wpa_supplicant.conf $INTERFACES $DRIVERS $OTHER_ARGS
and the second defines OTHER_ARGS as
  OTHER_ARGS="-u -f /var/log/wpa_supplicant.log -P /var/run/wpa_supplicant.pid"
thus I end up with a command line like
  /usr/sbin/wpa_supplicant -u -f /var/log/wpa_supplicant.log -c /etc/wpa_supplicant/wpa_supplicant.conf -iwlan0 -Dwext -u -f /var/log/wpa_supplicant.log -P /var/run/wpa_supplicant.pid

A couple more questions:
- why does systemd's sevice file force -u, and makes the service type dbus, which the sysconfig file claims is only needed for NetworkManager, in cases, like mine, where NM is masked?
- the file in sysconfig has this comment
  # -B to daemonize that has to be used together with -P is already in wpa_supplicant.init.d
  but I don't seem to have a wpa_supplicant.init.d file or directory in my system and -B doesn't show up in the command line, so this comment may be obsolete
Comment 5 Ben Boeckel 2014-01-24 11:32:23 EST
(In reply to Henrique Martins from comment #4)
> Can we move this to Fedora 20?

Moved to Rawhide and marked as an RFE, so it will stay Rawhide.

> Not only is -u duplicated, some other command line arguments are duplicated
> in
>   /usr/lib/systemd/system/wpa_supplicant.service
> and
>   /etc/sysconfig/wpa_supplicant

Wow, yeah, there are a lot more there.
Comment 6 Ben Boeckel 2014-12-10 21:40:48 EST
wpa_supplicant.service is now Type=dbus, so -u is required, but -u is not in the service file now and fails because systemd kills it after a timeout of wpa_supplicant not setting up the expected bus because I had removed -u from the sysconfig file.
Comment 7 Ben Boeckel 2014-12-10 21:41:20 EST
See #1164975.

Note You need to log in before you can comment on or make changes to this bug.